#include "context.hpp"

#include "window.hpp"

pw::context::context()
   : _running(true)
{
    _lua.open_libraries();

    sol::table pw = _lua.create_named_table("pw");
    window::load(pw);

//    luaL_openlibs(_state);
}

pw::context::~context()
{
//    lua_close(_state);
}

bool pw::context::update()
{
    return _running;
}

void pw::context::yield()
{
}

void pw::context::script(const char *s)
{
    _lua.script("w = pw.window.new()");
    _lua.script("w:set_title(\"pixwerks alpha\")");
    _lua.script("w:set_size(320,240)");
    _lua.script("while w:update() do end");
//    luaL_loadstring(_state,s);

//    int r = lua_pcall(_state,0,LUA_MULTRET,0);
}
