#ifndef PW_CONTEXT_HPP
#define PW_CONTEXT_HPP

#include <lua.hpp>
#include <memory>
#include <sol.hpp>

namespace pw {

class context {

    sol::state _lua;
    bool _running;

public:

    context();
    ~context();

    bool update();

    void yield();

    void set_running(bool s) { _running = s; }

    bool is_running() const { return _running; }

    void script(const char* s);

};

}



#endif
