#ifndef PW_WINDOW_HPP
#define PW_WINDOW_HPP

#include "glad/glad.h"
#include "GLFW/glfw3.h"

#include "sol.hpp"

namespace pw {


class window {

    GLFWwindow* _window;

public:

    window();
    ~window();


    bool update();

    void set_title(const char* t);


    static void load(sol::table &ns);
    void set_size(int w, int h);
};

}

#endif
